## libexif 0.6.24

=== contrib/aolserver/Makefile ===
NSHOME   =  /home/aol31

EXIFDIR  = ..

#
# Module name
#
MOD      =  nsexif.so

#
# Objects to build
#
OBJS     =  nsexif.o

#
# Installation directory for data files
#
MODDIR   =  nsexif
MODLIBS  =  -L.. -lexif

CFLAGS += -I$(EXIFDIR)

include $(NSHOME)/include/Makefile.module

=== contrib/c++/Makefile ===
BOOST_PYTHON_LIB = -L/usr/local/boost_1_29_0/lib -lboost_python
BOOST_INCLUDES = -I/usr/local/boost_1_29_0/src
dynmoddir = `pwd`/local

CXX = g++
CXXFLAGS := -O2 -Wall
CPPFLAGS := -I/usr/include/python2.2

LIBTOOL = $(SHELL) ./libtool
LIBCXX = $(LIBTOOL) --tag=CXX --mode=compile $(CXX)
LINKCXX = $(LIBTOOL) --tag=CXX --mode=link $(CXX)
LINKCXXLIB = $(LINKCXX) -rpath $(dynmoddir)
LINKCXXMODULE = $(LINKCXXLIB) -module -avoid-version
LIBINSTALL = $(LIBTOOL) --mode=install /bin/install -c -p
INSTALL = /bin/install -c -p

TARGET = exif.la

OBJS = \
    exif_module.lo

all: $(TARGET)

install: $(TARGET)
	$(INSTALL) -d $(dynmoddir)
	$(LIBINSTALL) $(TARGET) $(dynmoddir)

$(TARGET): $(OBJS)
	$(LINKCXXMODULE) -o $(TARGET) $(OBJS) $(BOOST_PYTHON_LIB) -lexif

clean::
	rm -rf .libs *.o *.so *.lo *.ld $(TARGET)

%.o: %.cxx
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c $*.cxx

%.lo: %.cxx
	$(LIBCXX) $(CXXFLAGS) $(CPPFLAGS) -c $*.cxx

%.d: %.cxx
	@echo updating header dependencies for $*.cxx
	@rm -f $*.d
	@$(CXX) -M $(CXXFLAGS) $(CPPFLAGS) -c $*.cxx | sed "s@$*.o@$*.d $*.o@" > $*.d \
        || { rm -f $*.d; exit 1; }

%.ld: %.cxx
	@echo updating header dependencies for $*.cxx
	@rm -f $*.ld
	@$(CXX) -M $(CXXFLAGS) $(CPPFLAGS) -c $*.cxx | sed "s@$*.o@$*.ld $*.lo@" > $*.ld \
        || { rm -f $*.ld; exit 1; }

ifneq "$(MAKECMDGOALS)" "clean"
include $(patsubst %.lo, %.ld, $(OBJS))
endif

## libexif 0.6.16-2.1maemo2

=== debian/changelog ===
libexif (0.6.16-2.1maemo2) unstable; urgency=low

  * Work on localization issues
    - remove languages not supported by Maemo UI
      (Polish, Czech, Slovak, Vietnamese)

 -- Oskar Welzl <dev@welzl.info>  Tue, 17 Feb 2009 20:10:00 +0100

libexif (0.6.16-2.1maemo1) unstable; urgency=low

  * Maemo version 1
    - moves localisation files into -intl-package
    - removes *.la from -dev package 
    - build with -- disable-docs and enable -mthumb if requested
    - build -dbg package (libdevel/libexif12-dbg)

 -- Oskar Welzl <dev@welzl.info>  Sun, 8 Feb 2009 18:48:58 +0200

libexif (0.6.16-2.1) unstable; urgency=high

  * Non-maintainer upload by security team.
  * This update addresses the following security issues:
    - possible denial of service attack via crafted
      image file leading to an infinite recursion in the
      exif-loader.c (CVE-2007-6351; Closes: #457330).
    - integer overflow in exif-data.c triggered by a crafted
      image file could lead to arbitrary code execution
      (CVE-2007-6352; Closes: #457330).

 -- Nico Golde <nion@debian.org>  Fri, 21 Dec 2007 17:13:58 +0100

libexif (0.6.16-2) unstable; urgency=low

  * debian/libexif12.docs: added README file (closes: #434773)

 -- Frederic Peters <fpeters@debian.org>  Thu, 26 Jul 2007 19:37:47 +0200

libexif (0.6.16-1) unstable; urgency=high

  * New upstream release, with security fix:
    * Integer overflow in the exif_data_load_data_entry (CVE-2006-4168)
      (closes: #430012)

 -- Frederic Peters <fpeters@debian.org>  Thu, 21 Jun 2007 20:42:24 +0200

libexif (0.6.15-1) unstable; urgency=high

  * New upstream release, with security fixes:
    * Integer overflow in the exif_data_load_data_entry (CVE-2007-2645)
      (closes: #424775)
    * Don't dereference NULL (CID 4) (no assigned CVE)
    * Don't parse Makernote when there is not enough data for
      (makernote-irelevant) IFD1 (no assigned CVE)
  * debian/patches/30_olympus_makernote.dpatch: merged upstream
  * debian/patches/40_crash_looking_up_invalid_values.dpatch: merged upstream
  * debian/patches/50_relibtoolize.dpatch: run libtoolize on sources

 -- Frederic Peters <fpeters@debian.org>  Fri, 25 May 2007 10:04:00 +0200

libexif (0.6.13-6) unstable; urgency=low

  * debian/control: added build-depends on dpatch
  * debian/rules: use dpatch
  * debian/patches/10_pkg_config_header_dir.dpatch: patch from 0.6.13-4
  * debian/patches/20_extra_colorspace_check.dpatch: patch from 0.6.13-5
  * debian/patches/30_olympus_makernote.dpatch: added support for Olympus S760
    & S770 makernote (closes: #418945)
  * debian/patches/40_crash_looking_up_invalid_values.dpatch: backport of
    "fixed crashes when looking up invalid values (upstream #1457501)".

 -- Frederic Peters <fpeters@debian.org>  Tue, 08 May 2007 11:47:19 +0200

libexif (0.6.13-5) unstable; urgency=low

  * libexif/exif-entry.c: added extra check against value read for color
    space (closes: #398426)  (this is not from upstream but upstream is
    said to have this fixed as well, couldn't find how)

 -- Frederic Peters <fpeters@debian.org>  Sun, 19 Nov 2006 22:57:21 +0100

libexif (0.6.13-4) unstable; urgency=low

  * libexif/libexif.pc.in: fixed CFLAGS, so include dir is correctly set.
    (closes: #356567)

 -- Frederic Peters <fpeters@debian.org>  Sun, 12 Mar 2006 21:14:27 +0100

libexif (0.6.13-3) unstable; urgency=low

  * debian/watch: added uscan file.

 -- Frederic Peters <fpeters@debian.org>  Mon,  6 Mar 2006 00:06:29 +0100

libexif (0.6.13-2) unstable; urgency=low

  * ship NEWS file in libexif12 package. (closes: #355262)

 -- Frederic Peters <fpeters@debian.org>  Sat,  4 Mar 2006 16:57:03 +0100

libexif (0.6.13-1) unstable; urgency=low

  * New upstream release.
  * debian/control: depends on doxygen and graphviz to build documentation;
    packaged in libexif-dev.

 -- Frederic Peters <fpeters@debian.org>  Sun, 26 Feb 2006 20:09:03 +0100

libexif (0.6.12-2) unstable; urgency=low

  * libexif/exif-data.c: backported fix from CVS (revision 1.68)
    (closes: #318662)

 -- Frederic Peters <fpeters@debian.org>  Sun, 17 Jul 2005 02:49:46 +0200

libexif (0.6.12-1) unstable; urgency=low

  * New upstream release. (closes: #281297)
    * soname bumped to 12
    * buffer size checks in exif-data.c merged upstream.
    * po-domain.path merged upstream.
  * libexif/exif-utils.c: fixed exif_get_sshort declaration mismatch.

 -- Frederic Peters <fpeters@debian.org>  Sat, 16 Jul 2005 10:08:51 +0200

libexif (0.6.9-6) unstable; urgency=low

  * libexif/exif-loader.h: don't include itself. (closes: #299507)

 -- Frederic Peters <fpeters@debian.org>  Mon, 14 Mar 2005 16:56:48 +0100

libexif (0.6.9-5) unstable; urgency=high

  * Urgency high since it fixes a security issue.
  * Patch provided from Ubuntu by Martin Pitt, written by Sylvain Defresne.
  * libexif/exif-data.c: Add buffer size checks in several places before
    trying to access it. (closes: #298464)
  * Reference: https://bugzilla.ubuntulinux.org/show_bug.cgi?id=7152
  * debian/control: reworded description synopsis.

 -- Frederic Peters <fpeters@debian.org>  Mon,  7 Mar 2005 18:56:31 +0100

libexif (0.6.9-4) unstable; urgency=low

  * debian/copyright: fixed license (LGPL, not GPL) (closes: #281442)

 -- Frederic Peters <fpeters@debian.org>  Tue, 16 Nov 2004 10:40:55 +0100

libexif (0.6.9-3) unstable; urgency=medium

  * src/exif-data.c: fix for crasher bug with EXIF data in some Canon
    pictures.  (closes: #279337)
  * debian/rules: fixed clean target

 -- Frederic Peters <fpeters@debian.org>  Wed,  3 Nov 2004 09:38:13 +0100

libexif (0.6.9-2) unstable; urgency=medium

  * Adopted package.
  * debian/control: bumped Standards-Version to 3.6.1
  * debian/rules: delete po/libexif-$(major).pot in clean target
  * libexif/exif-data.c: fixed segfault on some pictures (urgency medium since
    it broke gimp and others with those files)

 -- Frederic Peters <fpeters@debian.org>  Mon, 11 Oct 2004 09:44:24 +0200



=== debian/control ===
Source: libexif
Section: libs
Priority: optional
Maintainer: Oskar Welzl <dev@welzl.info>
Build-Depends: debhelper (>> 5.0.0), dpatch
Standards-Version: 3.7.2


Package: libexif-dev
Section: libdevel
Architecture: any
Depends: libexif12 (= ${Source-Version}), libc6-dev
XSBC-Original-Maintainer: Frederic Peters <fpeters@debian.org>
Description: library to parse EXIF files (development files)
 Most digital cameras produce EXIF files, which are JPEG files with
 extra tags that contain information about the image. The EXIF library
 allows you to parse an EXIF file and read the data from those tags.

Package: libexif12
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
XSBC-Original-Maintainer: Frederic Peters <fpeters@debian.org>
Description: library to parse EXIF files
 Most digital cameras produce EXIF files, which are JPEG files with
 extra tags that contain information about the image. The EXIF library
 allows you to parse an EXIF file and read the data from those tags.

Package: libexif12-intl
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libexif12 (>= ${Source-Version})
Description: Locales for libexif
 Translations in German, Spanish, French, and Russian

Package: libexif-dbg
Section: libdevel
Architecture: any
Depends: libexif12 (= ${Source-Version})
Description: Debug information for libexif12

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make

version=`ls libexif/.libs/lib*.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls libexif/.libs/lib*.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
                                                                                                                      
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# Use soft-float and thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -mthumb
endif


configure: configure-stamp
configure-stamp: patch
	dh_testdir
	./configure $(confflags) CFLAGS="$(CFLAGS)" --prefix=/usr --disable-docs
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)

	touch build-stamp

patch: patch-stamp
patch-stamp:
	dpatch apply-all

clean: unpatch-stamp
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f po/libexif-$(major).pot
	-$(MAKE) distclean
	dh_clean

unpatch: unpatch-stamp
unpatch-stamp:
	dpatch deapply-all
	rm -rf patch-stamp debian/patched

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install prefix=$(CURDIR)/debian/libexif$(major)/usr
	mv $(CURDIR)/debian/libexif$(major)/usr/share/doc/libexif \
		$(CURDIR)/debian/libexif$(major)/usr/share/doc/libexif-dev
	rm $(CURDIR)/debian/libexif$(major)/usr/share/doc/libexif-dev/AUTHORS
	rm $(CURDIR)/debian/libexif$(major)/usr/share/doc/libexif-dev/COPYING
	rm $(CURDIR)/debian/libexif$(major)/usr/lib/lib*.la

	# rm languages not in Maemo-UI
	rm -r $(CURDIR)/debian/libexif$(major)/usr/share/locale/vi/
	rm -r $(CURDIR)/debian/libexif$(major)/usr/share/locale/cs/
	rm -r $(CURDIR)/debian/libexif$(major)/usr/share/locale/sk/
	rm -r $(CURDIR)/debian/libexif$(major)/usr/share/locale/pl/


	dh_movefiles --sourcedir=debian/libexif$(major)
	find debian -type d | xargs rmdir -p --ignore-fail-on-non-empty

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip --dbg-package=libexif-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libexif 0.6.17-1maemo1+0m5

=== debian/changelog ===
libexif (0.6.17-1maemo1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Wed, 16 Sep 2009 17:06:22 +0300

libexif (0.6.17-1maemo1) unstable; urgency=low

  * Fixes: NB#117017 - Not able to edit pictures taken from camera in some of
    the editors
  * Added a patch that fixes ISO speed rating
  * Changed debian/patches/* to work with CDBS
  * Changed debian packaging to work with Maemo

 -- Maemo Multimedia <multimedia@maemo.org>  Tue, 15 Sep 2009 12:34:20 +0300

libexif (0.6.17-1) unstable; urgency=low

  * Adopt the package within pkg-phototools:
    - Set the Maintainer to the group
    - Add Frederic Peters and myself as Uploaders.
    - Add Vcs-Browser and Vcs-Git fields accordingly.
  * New upstream release:
    - remove patches merged upsteam:
      + 30_olympus_makernote.dpatch
      + 40_crash_looking_up_invalid_values.dpatch
      + 50_relibtoolize.dpatch
      + CVE-2007-6351.dpatch
      + CVE-2007-6352.dpatch
    - convert existing patches from dpatch to quilt.
    - Fix a bug while reading exif datas in some cases (Closes: #447907)
  * Switch packaging to debhelper 7
  * Update debian/control:
    - Drop duplicate section field for exif12
    - Bump Standards-Version to 3.8.1
    - Replace deprecated ${Source-Version} by ${binary:Version}
    - Enhance libexif-dev long description.
    - Add homepage field.
    - Add DM-Upload-Allowed field.
  * Force remove of files not fully cleaned
  * Remove empty doc files in libexif-dev.
  * Update debian/copyright.

 -- Emmanuel Bouthenot <kolter@openics.org>  Sun, 19 Apr 2009 17:53:15 +0200

=== debian/control ===
Source: libexif
Section: libs
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Frederic Peters <fpeters@debian.org>, Emmanuel Bouthenot <kolter@openics.org>
Build-Depends: debhelper (>= 5.0.42), quilt, autotools-dev, doxygen, graphviz
Standards-Version: 3.8.1
Homepage: http://libexif.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=pkg-phototools/libexif.git
Vcs-Git: git://git.debian.org/git/pkg-phototools/libexif.git
DM-Upload-Allowed: yes

Package: libexif-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libexif12 (= ${binary:Version}), libc6-dev
Description: library to parse EXIF files (development files)
 Most digital cameras produce EXIF files, which are JPEG files with
 extra tags that contain information about the image. The EXIF library
 allows you to parse an EXIF file and read the data from those tags.
 .
 This package contains the development files.

Package: libexif12
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to parse EXIF files
 Most digital cameras produce EXIF files, which are JPEG files with
 extra tags that contain information about the image. The EXIF library
 allows you to parse an EXIF file and read the data from those tags.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	DEBUGFLAGS = --enable-debug
endif

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_DH_STRIP_ARGS := --dbg-package=libexif12-dbg
DEB_CONFIGURE_EXTRA_FLAGS := --disable-nls $(DEBUGFLAGS)

DEB_DH_MAKESHLIBS_ARGS_ALL += -- -c4

## libexif 0.6.17-1maemo3+0m5

=== debian/changelog ===
libexif (0.6.17-1maemo3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Thu, 17 Dec 2009 11:53:17 +0200

libexif (0.6.17-1maemo3) unstable; urgency=low

  * Fixes NB#144529 - Libexif uses too much time processing a captured image

 -- Maemo Multimedia <multimedia@maemo.org>  Wed, 28 Oct 2009 14:34:40 +0200

libexif (0.6.17-1maemo2) unstable; urgency=low

  * Added a patch which optimizes tag lookup performance
  * partially fixes bug 121598

 -- Maemo Multimedia <multimedia@maemo.org>  Fri, 23 Oct 2009 11:47:25 +0300

## libexif 0.6.20

=== debian/changelog ===
libexif (0.6.20-3) unstable; urgency=high

  * Add patches to fix multiples security issues: CVE-2012-2814,
    CVE-2012-2840, CVE-2012-2813, CVE-2012-2812, CVE-2012-2841,
    CVE-2012-2836, CVE-2012-2837 (Closes: #681454).

 -- Emmanuel Bouthenot <kolter@debian.org>  Tue, 17 Jul 2012 19:05:20 +0000

libexif (0.6.20-2) unstable; urgency=low

  [ Kees Cook ]

  * debian/copyright: fix empty lines in multi-line section, add missing
    intended "license" lines, add missing BSD license for pt_BR.po.
  * debian/libexif-dev.install:
    - use multiple lines instead of technically unsupported {}.
    - remove .la file, per release goal; there are no build dep using it.
  * debian/{control,compat,*.install,rules}: build for Multi-Arch support
    (Closes: #650998)

  [ Emmanuel Bouthenot ]

  * Bump Standards-Version to 3.9.2
  * Remove DMUA field (no more needed)
  * Update debian/rules to enable usage of autotools_dev sequence with
    debhelper
  * Switch debhelper compatibility to 9
  * Update Vcs-Git and Vcs-Browser fields

 -- Emmanuel Bouthenot <kolter@debian.org>  Fri, 27 Jan 2012 20:34:17 +0000

libexif (0.6.20-1) unstable; urgency=low

  * New upstream release
  * debian/copyright:
     - updates (huge backlog)
     - switch to DEP5 format
  * Refresh patches and convert them to DEP3 format
  * Switch to dpkg-source 3.0 (quilt) format
  * Update uploader email (me)
  * Bump Standards-Version to 3.9.1
  * Add a patch to support new Canon camera. Thanks to Adrian von Bidder for
    the patch. Rest In Peace Adrian. (Closes: #617764).

 -- Emmanuel Bouthenot <kolter@debian.org>  Wed, 27 Apr 2011 18:17:43 +0000

libexif (0.6.19-1) unstable; urgency=high

  * New upstream release
    - fix CVE-2009-3895: heap buffer overflow during tag format conversion
      (Closes: #557137)

 -- Emmanuel Bouthenot <kolter@openics.org>  Thu, 19 Nov 2009 22:38:27 +0000

libexif (0.6.18-1) unstable; urgency=low

  * New upstream release
  * Clean and minify the build process (using dh7 overrides)
  * Bump Standards-Version to 3.8.3.
  * Add README.source file.
  * Add doc-base file for libexif API documentation.

 -- Emmanuel Bouthenot <kolter@openics.org>  Sat, 24 Oct 2009 09:29:24 +0200

=== debian/control ===
Source: libexif
Section: libs
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Emmanuel Bouthenot <kolter@debian.org>, Frederic Peters <fpeters@debian.org>
Build-Depends: debhelper (>= 8.1.3~), autotools-dev, doxygen, graphviz
Standards-Version: 3.9.2
Homepage: http://libexif.sourceforge.net/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/libexif.git
Vcs-Git: git://anonscm.debian.org/pkg-phototools/libexif.git

Package: libexif-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, ${misc:Depends}, libexif12 (= ${binary:Version}), libjs-jquery
Description: library to parse EXIF files (development files)
 Most digital cameras produce EXIF files, which are JPEG files with
 extra tags that contain information about the image. The EXIF library
 allows you to parse an EXIF file and read the data from those tags.
 .
 This package contains the development files.

Package: libexif12
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to parse EXIF files
 Most digital cameras produce EXIF files, which are JPEG files with
 extra tags that contain information about the image. The EXIF library
 allows you to parse an EXIF file and read the data from those tags.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_install:
	# remove JQuery embedded copy
	rm -f debian/libexif-dev/usr/share/doc/libexif-dev/libexif-api.html/jquery.js
	# Install pkgconfig file in full triplet directory.
	install -D -m 644 libexif.pc debian/libexif-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/libexif.pc
	dh_install

# Upstream sources contains a directory named 'binary'
# which breaks the build, the following rule fix it
binary: binary-arch binary-indep

%:
	dh $@ --with autotools_dev

=== debian/watch ===
version=3
http://sf.net/libexif/libexif-([\d\.]*)\.tar\.gz

## libexif 0.6.21

=== debian/changelog ===
libexif (0.6.21-6ubuntu0.4) focal-security; urgency=medium

  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2020-0452.patch: fixed a incorrect overflow check that could be
      optimized away in libexif/exif-entry.c.
    - CVE-2020-0452

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 06 Nov 2020 12:14:21 -0300

libexif (0.6.21-6ubuntu0.3) focal-security; urgency=medium

  * SECURITY UPDATE: Out of bounds read
    - debian/patches/CVE-2020-0093.patch: fix read
      buffer overflow making sure the number of bytes being
      copied from does not exceed the source buffer size in
      libexif/exif-data.c.
    - CVE-2020-0093
  * SECURITY UPDATE: Out of bounds read
    - debian/patches/CVE-2020-13112.patch: fix MakerNote tag size
      overflow check for a size overflow while reading tags in
      libexif/canon/exif-mnote-data-canon.c,
      libexif/fuji/exif/mnote-data-fuji.c,
      libexif/olympus/exif-mnote-data-olympus.c,
      libexif/pentax/exif-mnote-data-pentax.c.
    - CVE-2020-13112
  * SECURITY UPDATE: Possibly crash and potential use-after-free
    - debian/patches/CVE-2020-13113.patch: ensures that an uninitialized
      pointer is not dereferenced later in the case where the number of
      components is 0 in libexif/canon/exif-mnote-data-canon.c,
      libexif/fuji/exif-mnote-data-fuji.c,
      libexif/olympus/exif-mnote-data-olympus.c,
      libexif/pentax/exif-mnote-data-pentax.
    - CVE-2020-13113
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2020-13114.patch: add a failsafe on the
      maximum number of Canon MakerNote subtags in
      libexif/canon/exif-mnote-data-canon.c.
    - CVE-2020-13114
  * SECURITY UPDATE: Out of bounds read
    - debian/patches/CVE-2020-0182.patch: fix a buffer read
      overflow in exif_entry_get_value in libexif/exif-entry.c.
    - CVE-2020-0182
  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2020-0198.patch: fix unsigned integer overflow
      in libexif/exif-data.c.
    - CVE-2020-0198

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 08 Jun 2020 11:55:38 -0300

libexif (0.6.21-6ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Divinding by zero vulnerability
    - debian/patches/CVE-2020-12767.patch: check if d variable is not zeroed
      before use it in libexif/exif-entry.c
    - CVE-2020-12767

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 11 May 2020 13:50:50 -0300

libexif (0.6.21-6) unstable; urgency=medium

  * Team upload.
  * Acknowledge NMU by Salvatore Bonaccorso.
  * debian/changelog: Remove trailing whitespace.
  * debian/control:
    - Build-Depend on debhelper-compat (=12).
    - Raise Standards-Version to 4.5.0 from 4.1.3 (no changes needed).
    - Declare Rules-Requires-Root: no.
  * debian/patches: Add upstream patches by Marcus Meissner:
    - Avoid the use of unsafe integer overflow checking constructs
      (CVE-2019-9278) (Closes: #945948).
    - Avoid implicit behaviour by casting to unsigned int before shifting left.
  * debian/rules: Do not manually install libexif.pc into a multi-arch libdir.
  * libexif12.symbols: Specify libexif-dev in the Build-Depends-Package
      meta-information field.
  * Add Debian upstream/metadata file.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Thu, 23 Jan 2020 20:03:01 +1100

libexif (0.6.21-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Reduce maximum recursion depth in exif_data_load_data_content
  * Improve deep recursion detection in exif_data_load_data_content
    (CVE-2018-20030) (Closes: #918730)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 10 Feb 2019 14:59:33 +0100

libexif (0.6.21-5) unstable; urgency=medium

  * Team upload.
  * debhelper update:
    - Update package compatibility to level 11.
  * debian/changelog:
    - Remove trailing whitespace.
  * debian/control:
    - Build-Depend on debhelper version 11.
    - Raise Standards-Version from 4.1.1 to 4.1.3 (no changes needed).
    - Update the Homepage field to point to https://libexif.github.io
      (Closes: #894183).
    - Update the Vcs fields to point to https://salsa.debian.org.
  * debian/copyright:
    - Update the Source URL field to point to https://libexif.github.io.
  * debian/patches:
    - Add .patch file extensions to existing patches.
    - add-am_prog_ar.patch: Add the AM_PROG_AR macro to configure.ac to avoid
      an automake warning.
    - ac_lang_source-macro.patch: Use AC_LANG_SOURCE macros to avoid several
      automake warnings in configure.ac.
    - fix-size_t-warnings.patch: Cast %u format specifiers to unsigned long to
      prevent compiler warnings on 32-bit and 64-bit platforms.
  * debian/rules:
    - Update dh_installdocs overrides.
    - Remove '--parallel' (now handled by debhelper >= level 11).
  * debian/source/options:
    - Remove from package. Debhelper handles the specified options by default.
  * debian/watch:
    - Update to version 4 and switch to upstream's github repository.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Tue, 03 Apr 2018 22:53:18 +1000

libexif (0.6.21-4) unstable; urgency=high

  * Team upload.
  * debian/control:
    - Allow libexif-doc to take ownership of all documentation files
      previously packaged with libexif-dev (Closes: #880213).
    - Remove the Replaces field from libexif12 and libexif-dev.
  * debian/rules:
    - Include /usr/share/dpkg/architecture.mk.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Thu, 02 Nov 2017 22:31:00 +1100

libexif (0.6.21-3) unstable; urgency=medium

  * Team upload.
  * Import changes from NMU version 0.6.21-2.1.
  * Introduce libexif-doc:
    - Move the development documentation from libexif-dev to
      avoid PNG file conflicts during multi-arch installation.
    - Update the package's doc-base registration.
  * debian/control:
    - Revise package order.
    - Update package Depends lists.
  * debian/copyright:
    - Fix a formatting error.
  * debian/rules:


=== debian/control ===
Source: libexif
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Emmanuel Bouthenot <kolter@debian.org>, Frederic Peters <fpeters@debian.org>
Build-Depends: debhelper-compat (= 12), doxygen, graphviz
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://libexif.github.io/
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libexif
Vcs-Git: https://salsa.debian.org/debian-phototools-team/libexif.git

Package: libexif12
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to parse EXIF files
 Most digital cameras produce EXIF files, which are JPEG files with
 extra tags that contain information about the image. The EXIF library
 allows you to parse an EXIF file and read the data from those tags.

Package: libexif-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libc6-dev, ${misc:Depends}, libexif12 (= ${binary:Version})
Recommends: libexif-doc (= ${binary:Version})
Description: library to parse EXIF files (development files)
 Most digital cameras produce EXIF files, which are JPEG files with
 extra tags that contain information about the image. The EXIF library
 allows you to parse an EXIF file and read the data from those tags.
 .
 This package contains the development files.

Package: libexif-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery, ${misc:Depends}
Replaces: libexif-dev (<< 0.6.21-3~)
Breaks: libexif-dev (<< 0.6.21-3~)
Description: library to parse EXIF files (documentation)
 Most digital cameras produce EXIF files, which are JPEG files with
 extra tags that contain information about the image. The EXIF library
 allows you to parse an EXIF file and read the data from those tags.
 .
 This package contains the development documentation.

=== debian/watch ===
version=4
opts="uversionmangle=s/_/\./g" \
  https://github.com/libexif/libexif/tags .*\/libexif-(\d\S+)-release\.tar\.gz

## libexif 0.6.21.3

=== debian/changelog ===
libexif (0.6.21.3-1+eagle) unstable; urgency=medium

  * update

 -- Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>  Tue, 29 Dec 2020 13:57:37 +0800

libexif (0.6.21.3-1+eagle) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild

 -- zhouzilong <zhouzilong@uniontech.com>  Mon, 28 Dec 2020 15:43:35 +0800

libexif (0.6.21-5.1+deb10u5) buster-security; urgency=medium

  * Add upstream patch to prevent compiler optimization of a buffer
    overflow check (fixes CVE-2020-0452).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Fri, 06 Nov 2020 23:15:26 +1100

libexif (0.6.21.2-1+dde) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild

 -- zhouzilong <zhouzilong@uniontech.com>  Mon, 31 Aug 2020 15:14:02 +0800

libexif (0.6.21-5.1+deb10u4) buster; urgency=medium

  * Add upstream patches to fix two security issues:
    - Fix a buffer read overflow in exif_entry_get_value() (CVE-2020-0182).
    - Fix an unsigned integer overflow in libexif/exif-data.c (CVE-2020-0198)
      (Closes: #962345).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Wed, 24 Jun 2020 23:31:09 +1000

libexif (0.6.21-5.1+deb10u3) buster; urgency=medium

  * Add upstream patches to fix multiple security issues:
    - cve-2020-13112.patch: Fix MakerNote tag size overflow issues at
      read time (CVE-2020-13112) (Closes: #961407).
    - cve-2020-13113.patch: Ensure MakerNote data pointers are
      NULL-initialized (CVE-2020-13113) (Closes: #961409).
    - cve-2020-13114.patch: Add a failsafe on the maximum number of
      Canon MakerNote subtags to catch extremely large values in tags
      (CVE-2020-13114) (Closes: #961410).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 25 May 2020 22:01:18 +1000

libexif (0.6.21-5.1+deb10u2) buster; urgency=medium

  [ Mike Gabriel ]
  * Sponsored upload.
  * debian/patches: Trivial rebase of various patches.

  [ Hugh McMaster ]
  * Team upload.
  * Add upstream patches to fix two security issues:
    - cve-2020-12767.patch: Prevent some possible division-by-zero errors
      in exif_entry_get_value() (CVE-2020-12767) (Closes: #960199).
    - cve-2020-0093.patch: Prevent read buffer overflow (CVE-2020-0093).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 21 May 2020 11:26:42 +0200

libexif (0.6.21-5.1+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix out of bound write in exif-data.c (CVE-2019-9278) (Closes: #945948)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 01 Feb 2020 21:43:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: libexif
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Emmanuel Bouthenot <kolter@debian.org>, Frederic Peters <fpeters@debian.org>
-Build-Depends: debhelper-compat (= 12), doxygen, graphviz
-Standards-Version: 4.5.0
-Rules-Requires-Root: no
+Build-Depends:
+    debhelper (>= 11~),
+    doxygen,
+    graphviz
+Standards-Version: 4.1.3
 Homepage: https://libexif.github.io/
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libexif
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libexif.git

## libexif 0.6.22

=== debian/changelog ===
libexif (0.6.22-3) unstable; urgency=medium

  * Add upstream patch to prevent compiler optimization of a buffer
    overflow check (fixes CVE-2020-0452).
  * Add Forwarded: not-needed to cve-2020-0198.patch.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Fri, 06 Nov 2020 23:01:25 +1100

libexif (0.6.22-2) unstable; urgency=medium

  * Add upstream patch to fix an unsigned integer overflow in
    libexif/exif-data.c (CVE-2020-0198) (Closes: #962345).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sat, 13 Jun 2020 18:01:44 +1000

libexif (0.6.22-1) unstable; urgency=medium

  * New upstream version.
    - Support for certain EXIF 2.3 tags.
    - Multiple security fixes.
    - New and updated translations.
  * debian/copyright: Update for libexif 0.6.22.
  * debian/patches: Drop all patches. Upstream has fixed all known bugs.
  * debian/rules:
    - No longer include /usr/share/dpkg/architecture.mk.
    - Remove special handling for the 'binary' target. The problematic
      directory was renamed 'binary-dist' in this version of libexif.
  * libexif-dev: Install SECURITY.md.
  * libexif-doc: Drop dependency on libjs-jquery.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Tue, 02 Jun 2020 22:02:21 +1000

libexif (0.6.21-9) unstable; urgency=medium

  * Emmanuel Bouthenot has stepped down as an Uploader.
    - Thank you for maintaining libexif!
  * Add Hugh McMaster as an Uploader.
  * Add upstream patches to fix multiple security issues:
    - cve-2020-13112.patch: Fix MakerNote tag size overflow issues at
      read time (CVE-2020-13112) (Closes: #961407).
    - cve-2020-13113.patch: Ensure MakerNote data pointers are
      NULL-initialized (CVE-2020-13113) (Closes: #961409).
    - cve-2020-13114.patch: Add a failsafe on the maximum number of
      Canon MakerNote subtags to catch extremely large values in tags
      (CVE-2020-13114) (Closes: #961410).
  * Rebase other patches as needed.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Thu, 28 May 2020 23:23:33 +1000

libexif (0.6.21-8) unstable; urgency=medium

  * Team upload.
  * debian/copyright:
    - Extend Emmanuel Bouthenot's years of maintenance to 2014.
    - Add myself to the 'debian' section.
  * debian/patches/cve-2020-0093.patch:
    - Prevent a read buffer overflow in exif-data.c (CVE-2020-0093).
  * libexif-doc:
    - Do not remove the Doxygen-generated jquery.js file.
    - Do not symlink jquery.js to the equivalent system file.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Wed, 20 May 2020 22:30:00 +1000

libexif (0.6.21-7) unstable; urgency=medium

  * Team upload.
  * Frederic Peters has stepped down as an Uploader. Thank you for your work!
  * debian/control:
    - Use debhelper-compat v13.
    - Update Uploaders field.
  * debian/copyright: Add information for files in contrib/examples.
  * debian/patches/cve-2020-12767.patch:
    - Prevent some possible divide-by-zero errors in exif-entry.c's
      exif_entry_get_value() function (CVE-2020-12767) (Closes: #960199).
  * debian/patches/exif-loader-undefined-behaviour.patch:
    - Prevent undefined behaviour when left-shifting with type 'int'.
  * debian/rules:
    - Use dh_installdocs-indep override instead of dh_installdocs override.
    - Remove embedded jquery.js file after installing documentation.
    - Do not install the upstream ChangeLog.
  * libexif12: Update source paths for documentation files.
  * libexif-dev: Update source paths for documentation files.
  * libexif-doc:
    - Update source paths for documentation files.
    - Install contrib/example source files.
  * Add debian/not-installed file.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Fri, 15 May 2020 23:23:07 +1000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,10 @@
 Section: libs
 Priority: optional
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
-Uploaders: Emmanuel Bouthenot <kolter@debian.org>, Frederic Peters <fpeters@debian.org>
-Build-Depends:
-    debhelper (>= 11~),
-    doxygen,
-    graphviz
-Standards-Version: 4.1.3
+Uploaders: Hugh McMaster <hugh.mcmaster@outlook.com>
+Build-Depends: debhelper-compat (= 13), doxygen, graphviz
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://libexif.github.io/
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libexif
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libexif.git
@@ -39,7 +37,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: libjs-jquery, ${misc:Depends}
+Depends: ${misc:Depends}
 Replaces: libexif-dev (<< 0.6.21-3~)
 Breaks: libexif-dev (<< 0.6.21-3~)
 Description: library to parse EXIF files (documentation)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_installdocs-indep:
	dh_installdocs -p libexif-doc --doc-main-package=libexif-doc -X.md5

override_dh_installchangelogs:
	dh_installchangelogs -XChangeLog

override_dh_installexamples-indep:
	dh_installexamples --doc-main-package=libexif-doc

%:
	dh $@

## libexif 0.6.23

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Hugh McMaster <hugh.mcmaster@outlook.com>
 Build-Depends: debhelper-compat (= 13), doxygen, graphviz
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://libexif.github.io/
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libexif

## libexif 0.6.24

=== debian/changelog ===
libexif (0.6.24-1build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:11:45 +0100

libexif (0.6.24-1) unstable; urgency=medium

  * New upstream version 0.6.24:
    - Regression in exif_data_load_data fixed; EXIF in JPEG data loads again.
    - Many Canon tag names decoded.
    - "Persistent" AFL fuzzer added to code samples.
    - Translation updates.
  * debian/copyright: Update for libexif 0.6.24.
  * Install the upstream documentation and examples in libexif-dev but package
    the files in libexif-doc (as preferred by Debian Policy section 12.3).
  * Upstream README and NEWS files are now only installed in libexif-dev.
  * Delete debian/README.source.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sun, 05 Dec 2021 16:28:31 +1100

libexif (0.6.23-1) unstable; urgency=medium

  * New upstream version:
    - Support for more Exif 2.3 tags.
    - Support for Apple iOS MakerNote format.
    - Default GPS IFD table added.
    - EXIF_TAG_SENSITIVITY_TYPE decoder added.
    - Translation updates.
    - Multiple security fixes.
  * debian/control: Raise Standards-Version to 4.6.0 (no changes needed).
  * debian/copyright: Update for libexif 0.6.23.
  * debian/gbp.conf: Use DEP-14 branch naming.
  * debian/patches: Drop all patches. Security fixes included in this version.
  * debian/upstream/metadata: Update ChangeLog URL.
  * debian/watch: Use string substitutions where possible.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sun, 26 Sep 2021 13:28:52 +1000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libexif
 Section: libs
 Priority: optional
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Hugh McMaster <hugh.mcmaster@outlook.com>
 Build-Depends: debhelper-compat (= 13), doxygen, graphviz
 Standards-Version: 4.6.0

## libexif 0.6.25

=== contrib/aolserver/Makefile ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: 2000 Curtis Galloway
+# SPDX-License-Identifier: MIT
+
 NSHOME   =  /home/aol31
 
 EXIFDIR  = ..

=== debian/changelog ===
libexif (0.6.25-2) unstable; urgency=medium

  * debian/patches: Add upstream patch to skip the APP3 Marker on load
    (Closes: #1128586).
  * debian/control:
    - Drop Priority and Rules-Requires-Root fields.
    - Raise Standards-Version to 4.7.3 (no changes needed).
    - Use ${source:Synopsis} and ${source:Extended-Description} variables.
  * debian/copyright:
    - Update for 2026.
    - Update FSF addresses and Debian full-text statements.
  * debian/watch: Convert to version 5 format.

 -- Hugh McMaster <hmc@debian.org>  Wed, 25 Feb 2026 21:31:11 +1100

libexif (0.6.25-1) unstable; urgency=medium

  * New upstream version 0.6.25.
  * debian/copyright: Update for libexif 0.6.25.

 -- Hugh McMaster <hmc@debian.org>  Tue, 11 Feb 2025 21:19:04 +1100

libexif (0.6.24-2) unstable; urgency=medium

  [ Andreas Metzler ]
  * Use extend-diff-ignore to let double build (source only after full)
    succeed (Closes: #1047330).
  * Run wrap-and-sort -ast.

  [ Hugh McMaster ]
  * debian/control:
    + Update my email address.
    + Raise Standards-Version to 4.7.0 from 4.6.2 (no changes needed).
    + Remove Breaks+Replaces from libexif-doc.
  * debian/copyright:
    + Remove email addresses.
    + Update for 2025.

 -- Hugh McMaster <hmc@debian.org>  Thu, 09 Jan 2025 21:54:36 +1100

=== debian/control ===
Source: libexif
Section: libs
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders:
 Hugh McMaster <hmc@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 doxygen,
 graphviz,
Standards-Version: 4.7.3
Homepage: https://libexif.github.io/
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libexif
Vcs-Git: https://salsa.debian.org/debian-phototools-team/libexif.git
Description: library to parse EXIF files
 Most digital cameras produce EXIF files, which are JPEG files with
 extra tags that contain information about the image. The EXIF library
 allows you to parse an EXIF file and read the data from those tags.

Package: libexif12
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: libexif-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libc6-dev,
 libexif12 (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 libexif-doc (= ${binary:Version}),
Description: ${source:Synopsis} (development files)
 ${source:Extended-Description}
 .
 This package contains the development files.

Package: libexif-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package contains the development documentation.

=== debian/watch ===
Version: 5

Template: GitHub
Owner: libexif
Project: libexif
